Skip to content
GET /unified/instant-messaging/members

Partial response — use the "get" endpoint for the full object.

Query Parameters

Refer Specifying query parameters in Truto APIs

workspace
2 supported2 required
Microsoft 365
required
Microsoft Teams
required
channel
1 supported1 required
Slack
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Members

idstring
required·

The unique identifier for a member

3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
activated_atstring · date-time

The date and time the member was activated

avatarstring

The avatar of the member

1 supported
Slack
supported
biostring

The bio of the member

1 supported
Slack
supported
created_atstring · date-time

The date and time the member was created

emailsobject[]

The emails of the member

3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
3 properties
emailstring

The email address

is_primaryboolean

Whether the email address is primary

typestring

The type of email address

first_namestring

The first name of the member

3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
groupsobject[]

The groups of the member

5 properties
idstring

The unique identifier for a group

namestring

The name of the group

organizationobject

The organization of the group

2 properties
idstring

The unique identifier for an organization

namestring

The name of the organization

typestring

The type of group

workspaceobject

The workspace of the group

2 properties
idstring

The unique identifier for a workspace

namestring

The name of the workspace

is_email_verifiedboolean

Whether the member's email has been verified

1 supported
Slack
supported
languagesstring[]

The languages preferred by the member

last_active_atstring · date-time

The date and time the member was last active

last_login_atstring · date-time

The date and time the member was last logged in

last_namestring

The last name of the member

3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
namestring

The name of the member

3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
organizationsobject[]

The organizations of the member

2 properties
idstring

The unique identifier for an organization

namestring

The name of the organization

phonesobject[]

The phones of the member

1 supported
Slack
supported
3 properties
extensionstring

The extension of the phone number

numberstring

The phone number

typestring

The type of phone number

remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The status of the member. If no clear mapping is available, then the raw value is returned.

Possible values:
activeinactivedeletedinvited
1 supported
Slack
supported
status_changed_atstring · date-time

The date and time the member's status was last changed

timezonestring

The timezone of the member

1 supported
Slack
supported
titlestring

The title of the member

1 supported
Slack
supported
typestring

The type of member

3 supported
Microsoft 365
supported
Microsoft Teams
supported
Slack
supported
updated_atstring · date-time

The date and time the member was last updated

1 supported
Slack
supported
urlsobject[]

The URLs of the member

2 properties
typestring

The type of URL

urlstring

The URL

usernamestring

The username of the member

1 supported
Slack
supported
workspacesobject[]

The workspaces of the member

2 properties
idstring

The unique identifier for a workspace

namestring

The name of the worksapce

curl -X GET 'https://api.truto.one/unified/instant-messaging/members?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/instant-messaging/members?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/instant-messaging/members"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'instant-messaging',
  'members',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "instant-messaging",
        "members",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())